To install the latest version of the OverDrive app, you'll need Android 4.0 or higher. This version of the app requires new users to sign into the app, which authorizes you to download Adobe (DRM-protected) eBooks.

Last Updated: Oct 20, 2016 04:07PM EDT